

<!-- BEGIN: Subheader -->
<div class="m-subheader ">
	<div class="d-flex align-items-center">

		<div class="mr-auto">
			<h3 class="m-subheader__title m-subheader__title--separator">
				Informasi Daftar Tugas
			</h3>
			<ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
				<li class="m-nav__separator">
					<i class="flaticon-interface-2"></i> Monitoring Tugas
				</li>
			</ul>
		</div>
	</div>
</div>
<!-- END: Subheader -->

<div class="m-content">
	<!--Begin::Main Portlet-->
	<div class="row">
		<div class="col-xl-12">
			<!--begin::Portlet-->

			<div class="m-portlet__body">
				<?php if (count($get) == 0) { ?>
					<script>
						$(document).ready(function() {
							swal('Belum Ada Task Yang Sedang Berjalan!!', '', 'info');
						});
					</script>
				<?php } ?>
				<?php if (count($get) > 0) { ?>
					<div class="row">
						<div class="col-lg-12">
							<div class="m-portlet m-portlet--mobile ">
								<div class="m-portlet__head">
									<div class="m-portlet__head-caption">
										<div class="m-portlet__head-title">
											<h3 class="m-portlet__head-text">
												<i class="flaticon-suitcase"></i>
												Ada <?php echo count($get) ?> Tugas Yang Sedang Berjalan
											</h3>
											<div style="position: absolute;right: 25px;">
												<?= form_open('task/info_task_list'); ?>
												<div class="input-group" style="margin-top: 0;">
													<input type="text" id="search" name="search" class="form-control m-input--air" placeholder="Cari judul Task atau PIC">
													<button class="input-group-addon">
														Cari
													</button>
												</div>
												<?= form_close(); ?>
											</div>
										</div>
									</div>
								</div>
								<label style="padding-left: 15px;"><?php if(!empty($title)){ echo "Ditemukan ".count($get)." hasil pencarian untuk '<strong>". $title."</strong>'";}  ?></label>
								<?php $no = 1;
									foreach ($get as $net) { ?>
									<div class="list-group">
										<div class="list-group-item">
											<div class="row">
												<label style="font-weight: 600;font-size: 13pt;width: 85%"><?php echo $no . '. ' . $net->JudulTask; ?> </label>
												<?php if ($net->Kategori_Top == 'A') {
															$warna = 'color:#dd0f17';
														} elseif ($net->Kategori_Top == 'B') {
															$warna = 'color:#011280';
														} elseif ($net->Kategori_Top == 'C') {
															$warna = 'color:#46bc06';
														} else {
															$warna = '';
														} ?>
												<button class="btn btn-default btn-sm" style="border-radius:10px;font-weight: 300;font-size: 10pt;width:15%;<?php echo $warna; ?>">
													<h2><?php echo $net->Kategori_Top; ?></h2>
													<?php if ($net->gabung1 != NULL || $net->TaskGabung1 != NULL || $net->gabung1 != 0 || $net->TaskGabung1 != 0) { ?>
														<!-- <button class="btn btn-default btn-sm" style="font-weight: 600;color: #011280"> -->
														<b style="font-weight: 600;color: #011280">GABUNGAN</b>
														<!-- </button> -->
													<?php } else { } ?>
												</button>
											</div>


											<!-- </div> -->
											<?php if ($net->gabung1 != NULL || $net->TaskGabung1 != NULL || $net->gabung1 != 0 || $net->TaskGabung1 != 0) { ?>
												<strong>Gabungan:</strong><br />

												<?php echo '&nbsp;'; ?>1. <?php echo $net->JudulTaskGabung1a . $net->JudulTaskGabung1b ?>
												<br>
												<?php echo '&nbsp;'; ?>2. <?php echo $net->JudulTaskGabung2a . $net->JudulTaskGabung2b ?>
											<?php } else { } ?>
											</b>
											</br>
											<strong>Penjelasan:</strong><br />
											<?php echo $net->Penjelasan; ?><br />
											<strong>Tujuan:</strong><br />
											<?php echo $net->Objektif; ?>

											<div class="row">
												<!-- <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12"> -->
												<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
													<label class="font-green" style="font-weight: 500">Mulai : <?php echo date('d-m-Y', strtotime($net->tanggal_mulai)) ?></label>
												</div>
												<div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
													<label class="font-green" style="float:right;font-weight: 500;">Target Selesai : <?php echo date('d-m-Y', strtotime($net->tanggal_selesai)) ?></label>
												</div>
											</div>
											<div class="row text-right">
												<div style="color:#2b982b" class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
													<button type="button" class="btn btn-md btn-success" title="Update" data-toggle="modal" data-target="#m_update" onclick="getValue(this.id)" id="<?php echo $net->TaskID ?>">Lihat Sub Task</button>
												</div>
												<!--  <div style="color:#2b982b" class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="text-align:right">
						                       <button type="button" style="float:right" class="btn btn-md btn-brand" data-toggle="modal" data-target="#m_update" id="<?php echo $net->TaskID ?>" onclick="getValue(this.id)" id="<?php echo $net->TaskID ?>"><i class="fa fa-send"></i> Diteruskan</button>
						                    </div> -->
											</div>
										</div>
									</div>
								<?php $no++;
									} ?>
							</div>
						</div>
					<?php } else {
						echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
						echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'></button>";
						echo "<strong>Belum Ada Task Yang Sedang Berjalan.</div>";
					} ?>


					<!--begin::Section-->
					<!-- <div class="col-12">
						<div class="m-section">
							<div class="m-section__content">
								<div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">
									<div class="m-demo__preview">
										<div class="form-group m-form__group row">
											<div class="col-md-10 col-xs-12">
												<label class="col-md-2 col-xs-2 col-form-label">
													<b style="font-weight: 500">Judul Task : </b>
												</label>
											</div>
											<div class="col-md-10 col-xs-12">
												<div class="m-select2 m-select2--air">
													<select class="form-control m-select2" name="TaskID" id="TaskID" data-placeholder="Silahkan Pilih Judul Task">
														<option></option>
														<?php $no = 1;
														foreach ($get as $set) :
															echo "<option value='" . $set->TaskID . "'>" . $no . '. ' . $set->JudulTask . "</option>";
															$no++;
														endforeach; ?>
													</select>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>

						<div id="get_div"></div>

					</div> -->
					<!--end::Section-->

					</div>
			</div>
			<!--end::Portlet-->
		</div>
	</div>
	<!--End::Main Portlet-->
</div>

<div class="modal fade" id="m_update" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog  modal-medium" role="document">
		<div class="modal-content" id="div_tampil">

		</div>
	</div>
</div>

<script type="text/javascript">
	$(document).ready(function() {
		$('#TaskID').select2();

		$('#TaskID').change(function() {
			var TaskID = $("#TaskID").val();
			// alert(TaskID);
			$.ajax({
				type: "POST",
				url: "<?php echo site_url('task/get_info_task') ?>",
				data: {
					'TaskID': TaskID
				},
				success: function(msg) {
					$('#get_div').html(msg);
				}
			});
		})
	})

	function getValue(clicked_id) {
		// alert(clicked_id);
		$.post("<?php echo site_url() ?>task/get_progres_task/" + clicked_id,
			function(data) {
				$('#div_tampil').html(data);
			});
		$('#m_update').modal('show');
	}
</script>